--Armor
data:extend(
{
	{
		type = "armor",
		name = "PaA-power-armor-mk3",
		icon = "__PowerAndArmor__/graphics/icons/power-armor-mk3.png",
		icon_size = 32,
		flags = {"goes-to-main-inventory"},
		resistances = 
		{
			{
				type = "physical",
				decrease = 10,
				percent = 50
			},
			{
				type = "acid",
				decrease = 10,
				percent = 50
			},
			{
				type = "explosion",
				decrease = 60,
				percent = 50
			},
			{
				type = "fire",
				decrease = 0,
				percent = 80
			}
		},
		durability = 50000,
		subgroup = "armor",
		order = "f[PaA-power-armor-mk3]",
		stack_size = 1,
		equipment_grid = "PaA-power-armor-mk3-grid",
		inventory_size_bonus = 40
	},
	{
		type = "armor",
		name = "PaA-power-armor-mk4",
		icon = "__PowerAndArmor__/graphics/icons/power-armor-mk4.png",
		icon_size = 32,
		flags = {"goes-to-main-inventory"},
		resistances = 
		{
			{
				type = "physical",
				decrease = 20,
				percent = 60
			},
			{
				type = "acid",
				decrease = 20,
				percent = 60
			},
			{
				type = "explosion",
				decrease = 20,
				percent = 60
			},
			{
				type = "impact",
				decrease = 20,
				percent = 50
			},
			{
				type = "fire",
				decrease = 20,
				percent = 90
			},
		},
		durability = 50000,
		subgroup = "armor",
		order = "f[PaA-power-armor-mk3]",
		stack_size = 1,
		equipment_grid = "PaA-power-armor-mk4-grid",
		inventory_size_bonus = 50
	}
})
--Equipment
data:extend({
	{
		type = "item",
		name = "PaA-personal-roboport-mk3-equipment",
		icon = "__PowerAndArmor__/graphics/icons/personal-roboport-mk3-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-personal-roboport-mk3-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "e[robotics]-a[personal-roboport-equipment]",
		stack_size = 5
	},
	{
		type = "item",
		name = "PaA-personal-dockingport-mk3-equipment",
		icon = "__PowerAndArmor__/graphics/icons/personal-dockingport-mk3-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-personal-dockingport-mk3-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "e[robotics]-a[personal-roboport-equipment]",
		stack_size = 5
	},
})
--Bob's contains this equipment so this might get hidden
data:extend({
	{
		type = "item",
		name = "PaA-night-vision-mk2-equipment",
		icon = "__PowerAndArmor__/graphics/icons/night-vision-mk2-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-night-vision-mk2-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "f[night-vision]-a[night-vision-equipment]",
		stack_size = 20
	},
	{
		type = "item",
		name = "PaA-fusion-reactor-mk2-equipment",
		icon = "__PowerAndArmor__/graphics/icons/fusion-reactor-mk2-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-fusion-reactor-mk2-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "a[energy-source]-b[fusion-reactor]",
		stack_size = 20
	},
	{
		type = "item",
		name = "PaA-exoskeleton-mk2-equipment",
		icon = "__PowerAndArmor__/graphics/icons/exoskeleton-mk2-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-exoskeleton-mk2-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "e[exoskeleton]-a[exoskeleton-equipment]",
		stack_size = 10
	},
	{
		type = "item",
		name = "PaA-energy-shield-mk3-equipment",
		icon = "__PowerAndArmor__/graphics/icons/energy-shield-mk3-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-energy-shield-mk3-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "b[shield]-b[energy-shield-mk2-equipment]",
		stack_size = 50,
		default_request_amount = 10
	},
	{
		type = "item",
		name = "PaA-battery-mk3-equipment",
		icon = "__PowerAndArmor__/graphics/icons/battery-mk3-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-battery-mk3-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "c[battery]-b[battery-mk2-equipment]",
		stack_size = 50,
		default_request_amount = 10
	},
	{
		type = "item",
		name = "PaA-personal-laser-defense-mk2-equipment",
		icon = "__PowerAndArmor__/graphics/icons/personal-laser-defense-mk2-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-personal-laser-defense-mk2-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "d[active-defense]-a[personal-laser-defense-equipment]",
		stack_size = 20
	},
	{
		type = "item",
		name = "PaA-personal-laser-defense-mk3-equipment",
		icon = "__PowerAndArmor__/graphics/icons/personal-laser-defense-mk3-equipment.png",
		icon_size = 32,
		placed_as_equipment_result = "PaA-personal-laser-defense-mk3-equipment",
		flags = {"goes-to-main-inventory"},
		subgroup = "equipment",
		order = "d[active-defense]-a[personal-laser-defense-equipment]",
		stack_size = 20
	},
 })

 --tools
data:extend(
{
	{
		type = "mining-tool",
		name = "PaA-steel-drill",
		icon = "__PowerAndArmor__/graphics/icons/steel-drill.png",
		icon_size = 32,
		flags = {"goes-to-main-inventory"},
		action =
		{
			type="direct",
			action_delivery =
			{	
				type = "instant",
				target_effects =
				{
					type = "damage",
					damage = { amount = 16 , type = "physical"}
				}
			}
		},
		durability = 10000,
		subgroup = "tool",
		order = "a[mining]-b[PaA-steel-drill]",
		speed = 8,
		stack_size = 20
	},
	{
		type = "mining-tool",
		name = "PaA-nuclear-powered-steel-drill",
		icon = "__PowerAndArmor__/graphics/icons/nuclear-powered-steel-drill.png",
		icon_size = 32,
		flags = {"goes-to-main-inventory"},
		action =
		{
			type="direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "damage",
					damage = { amount = 32 , type = "physical"}
				}
			}
		},
		durability = 20000,
		subgroup = "tool",
		order = "a[mining]-c[PaA-nuclear-powered-steel-drill]",
		speed = 16,
		stack_size = 20
	}
})

--power
data:extend(
{
	{
		type = "item",
		name = "PaA-supercharged-medium-electric-pole",
		icon = "__PowerAndArmor__/graphics/icons/supercharged-medium-electric-pole.png",
		icon_size = 32,
		flags = {"goes-to-quickbar"},
		subgroup = "energy-pipe-distribution",
		order = "a[energy]-b[medium-electric-pole]",
		place_result = "PaA-supercharged-medium-electric-pole",
		stack_size = 50
	},
	{
		type = "item",
		name = "PaA-supercharged-substation",
		icon = "__PowerAndArmor__/graphics/icons/supercharged-substation.png",
		icon_size = 32,
		flags = {"goes-to-quickbar"},
		subgroup = "energy-pipe-distribution",
		order = "a[energy]-d[substation]",
		place_result = "PaA-supercharged-substation",
		stack_size = 50
	},
	{
		type = "item",
		name = "PaA-supercharged-big-electric-pole",
		icon = "__PowerAndArmor__/graphics/icons/supercharged-big-electric-pole.png",
		icon_size = 32,
		flags = {"goes-to-quickbar"},
		subgroup = "energy-pipe-distribution",
		order = "a[energy]-c[big-electric-pole]",
		place_result = "PaA-supercharged-big-electric-pole",
		stack_size = 50
	},
})