if PaA.bob.bobmods then
	PaA.modularRecipe=
	{
		Emodule="effectivity-module-3",
		Smodule="speed-module-3",
		Pmodule="productivity-module-3",
		circuit1="advanced-circuit",
		circuit2="processing-unit",
		plate="steel-plate",
		battery1="battery",
		battery2="battery",
		reactor="PaA-fusion-reactor-mk2-equipment",
		shield="PaA-energy-shield-mk3-equipment",
		maxPowerarmor="power-armor-mk2"
	}

	if PaA.bob then
		if PaA.bob.electronics then
			PaA.modularRecipe["circuit1"]="processing-unit"
			PaA.modularRecipe["circuit2"]="advanced-processing-unit"
		end
		if PaA.bob.plates then
				PaA.modularRecipe["plate"]="tungsten-carbide"
				battery1="lithium-ion-battery"
				battery2="silver-zinc-battery"
		end
		if PaA.bob.modules then
			PaA.modularRecipe["Emodule"]="effectivity-module-8"
			PaA.modularRecipe["Smodule"]="speed-module-8"
			PaA.modularRecipe["Pmodule"]="productivity-module-8"
		   end
		if PaA.bob.warfare then
			PaA.modularRecipe["reactor"]="fusion-reactor-equipment-4"
			PaA.modularRecipe["shield"]="energy-shield-mk6-equipment"
			PaA.modularRecipe["maxPowerarmor"]="bob-power-armor-mk5"
		end
	end

	data.raw["recipe"]["PaA-power-armor-mk3"].ingredients =
	{
		{PaA.modularRecipe["Emodule"], 10},
		{PaA.modularRecipe["Smodule"], 10},
		{PaA.modularRecipe["Pmodule"], 10},
		{PaA.modularRecipe["circuit2"], 300},
		{PaA.modularRecipe["plate"], 100},
	}
	data.raw["recipe"]["PaA-power-armor-mk2-upgrade"].ingredients=
	{
		{PaA.modularRecipe["Emodule"], 5},
		{PaA.modularRecipe["Smodule"], 5},
		{PaA.modularRecipe["Pmodule"], 10},
		{PaA.modularRecipe["circuit2"], 50},
		{PaA.modularRecipe["plate"], 50},
		{PaA.modularRecipe["maxPowerarmor"], 1}
	} 
	data.raw["recipe"]["PaA-power-armor-mk4"].ingredients=
	{
		{PaA.modularRecipe["Emodule"], 25},
		{PaA.modularRecipe["Smodule"], 25},
		{PaA.modularRecipe["Pmodule"], 25},
		{PaA.modularRecipe["circuit1"], 200},
		{PaA.modularRecipe["circuit2"], 400},
		{PaA.modularRecipe["plate"], 200},
		{PaA.modularRecipe["battery2"], 200},
		{PaA.modularRecipe["reactor"], 1},
		{PaA.modularRecipe["shield"], 1}
	}
	data.raw["recipe"]["PaA-power-armor-mk3-upgrade"].ingredients=
	{
		{PaA.modularRecipe["Emodule"], 15},
		{PaA.modularRecipe["Smodule"], 15},
		{PaA.modularRecipe["Pmodule"], 15},
		{PaA.modularRecipe["circuit1"], 200},
		{PaA.modularRecipe["circuit2"], 200},
		{PaA.modularRecipe["plate"], 200},
		{PaA.modularRecipe["battery2"], 200},
		{PaA.modularRecipe["reactor"], 1},
		{PaA.modularRecipe["shield"], 1},
		{"PaA-power-armor-mk3", 1}
	}
	data.raw["recipe"]["PaA-personal-roboport-mk3-equipment"].ingredients=
	{
		{PaA.modularRecipe["circuit1"], 10},
		{PaA.modularRecipe["battery1"], 45},
		{"personal-roboport-mk2-equipment", 2}
	}
end