--modular recipies are used if any of bob's mods are detected
require("prototypes.modular-recipe")
--if warfare is detected technologies and inventory size bonuses are changed to continue progression
if PaA.bob.warfare then
	data.raw["technology"]["PaA-armor-upgrades"].prerequisites={"bob-power-armor-5", "productivity-module-3", "effectivity-module-3", "speed-module-3"}
	data.raw["technology"]["PaA-mk4-power-armor"].prerequisites={"PaA-mk3-power-armor", "fusion-reactor-equipment-4", "energy-shield-equipment-6"}
	data.raw["armor"]["PaA-power-armor-mk3"].inventory_size_bonus=60
	data.raw["armor"]["PaA-power-armor-mk4"].inventory_size_bonus=70
end

--Hiding stuff you don't want or is already in bob'shield-equipment-6
PaA.hider={}

if PaA.bob.warfare then
	PaA.hider.equipment={"goes-to-main-inventory", "hidden"}
else
	PaA.hider.equipment={"goes-to-main-inventory"}
end
if settings.startup["PaA-add-tools"].value then
 	PaA.hider.tools={"goes-to-main-inventory"}
else
	PaA.hider.tools={"goes-to-main-inventory", "hidden"}
end
if settings.startup["PaA-add-entities"].value then
 	PaA.hider.entities={"goes-to-quickbar"}
else
	PaA.hider.entities={"goes-to-quickbar", "hidden"}
end

data.raw["item"]["PaA-night-vision-mk2-equipment"].flags=PaA.hider.equipment
data.raw["item"]["PaA-fusion-reactor-mk2-equipment"].flags=PaA.hider.equipment
data.raw["item"]["PaA-exoskeleton-mk2-equipment"].flags=PaA.hider.equipment
data.raw["item"]["PaA-energy-shield-mk3-equipment"].flags=PaA.hider.equipment
data.raw["item"]["PaA-battery-mk3-equipment"].flags=PaA.hider.equipment
data.raw["item"]["PaA-personal-laser-defense-mk2-equipment"].flags=PaA.hider.equipment
data.raw["item"]["PaA-personal-laser-defense-mk3-equipment"].flags=PaA.hider.equipment

data.raw["mining-tool"]["PaA-steel-drill"].flags=PaA.hider.tools
data.raw["mining-tool"]["PaA-nuclear-powered-steel-drill"].flags=PaA.hider.tools

data.raw["item"]["PaA-supercharged-medium-electric-pole"].flags=PaA.hider.entities
data.raw["item"]["PaA-supercharged-substation"].flags=PaA.hider.entities

--Upgradable personal laser defense with the vannila laser turret technologies
require("prototypes.laser-defense-upgradable")