data:extend({
	{
		type = "ammo",
		name = "PaA-heavy-railgun-dart",
		icon = "__PowerAndArmor__/graphics/icons/heavy-railgun-ammo.png",
		icon_size = 32,
		flags = {"goes-to-main-inventory", "hidden"},
		ammo_type =
		{
			category = "railgun",
			target_type = "direction",
			action =
			{
				type = "line",
				range = 25,
				width = 0.5,

				source_effects =
				{
					type = "create-explosion",
					entity_name = "railgun-beam"
				},
				action_delivery =
				{
					type = "instant",
					target_effects =
					{
						type = "damage",
						damage = { amount = 150, type="physical"}
					}
				}
			}
		},
		magazine_size = 4,
		subgroup = "ammo",
		order = "c[railgun]",
		stack_size = 200
	},
	{
		type = "ammo",
		name = "PaA-uranium-railgun-dart",
		icon = "__PowerAndArmor__/graphics/icons/uranium-railgun-ammo.png",
		icon_size = 32,
		flags = {"goes-to-main-inventory", "hidden"},
		ammo_type =
		{
			category = "railgun",
			target_type = "direction",
			action =
			{
				type = "line",
				range = 25,
				width = 1.0,

				source_effects =
				{
					type = "create-explosion",
					entity_name = "railgun-beam"
				},
				action_delivery =
				{
					type = "instant",
					target_effects =
					{
						type = "damage",
						damage = { amount = 200, type="physical"}
					}
				}
			}
		},
		magazine_size = 4,
		subgroup = "ammo",
		order = "c[railgun]",
		stack_size = 200
	},
})