--recipes for armor
data:extend(
{
	{
		type = "recipe",
		name = "PaA-power-armor-mk3",
		enabled = "false",
		ingredients =
		{
			{"effectivity-module-3", 10},
			{"speed-module-3", 10},
			{"productivity-module-3", 10},
			{"processing-unit", 100},
			{"steel-plate", 100},
		},
		result = "PaA-power-armor-mk3",
		category = "crafting",
		energy_required = 25,
	},
	{
		type = "recipe",
		name = "PaA-modular-armor-upgrade",
		enabled = "false",
		ingredients =
		{
			{"electric-engine-unit",20},
			{"steel-plate", 100},
			{"modular-armor", 1}
		},
		result = "power-armor"
	},
	{
		type = "recipe",
		name = "PaA-power-armor-upgrade",
		enabled = "false",
		ingredients =
		{
			{"effectivity-module-3", 5},
			{"speed-module-3", 5},
			{"power-armor" ,1}
		},
		result = "power-armor-mk2"
	},
	{
		type = "recipe",
		name = "PaA-power-armor-mk2-upgrade",
		enabled = "false",
		ingredients =
		{
			{"effectivity-module-3", 5},
			{"speed-module-3", 5},
			{"productivity-module-3", 10},
			{"processing-unit", 50},
			{"steel-plate", 50},
			{"power-armor-mk2", 1}
		},
		result = "PaA-power-armor-mk3"
	},
	{
		type = "recipe",
		name = "PaA-power-armor-mk4",
		enabled = "false",
		ingredients =
		{
			{"effectivity-module-3", 25},
			{"speed-module-3", 25},
			{"productivity-module-3", 25},
			{"advanced-circuit", 200},
			{"processing-unit", 400},
			{"steel-plate", 200},
			{"battery", 200},
			{"PaA-fusion-reactor-mk2-equipment", 1},
			{"PaA-energy-shield-mk3-equipment", 1}
		},
		result = "PaA-power-armor-mk4",
		category = "crafting",
		energy_required = 25,
	},
	{
		type = "recipe",
		name = "PaA-power-armor-mk3-upgrade",
		enabled = "false",
		ingredients =
		{
			{"effectivity-module-3", 15},
			{"speed-module-3", 15},
			{"productivity-module-3", 15},
			{"advanced-circuit", 200},
			{"processing-unit", 100},
			{"steel-plate", 200},
			{"battery", 200},
			{"processing-unit", 100},
			{"PaA-fusion-reactor-mk2-equipment", 1},
			{"PaA-energy-shield-mk3-equipment", 1},
			{"PaA-power-armor-mk3", 1}
		},
		result = "PaA-power-armor-mk4"
	},
})
-- recipes for equipment
data:extend({
	{
		type = "recipe",
		name = "PaA-personal-roboport-mk3-equipment",
		enabled = false,
		energy_required = 10,
		ingredients =
		{
			{"personal-roboport-mk2-equipment", 2},
			{"processing-unit", 10},
			{"battery", 45},
		},
		result = "PaA-personal-roboport-mk3-equipment"
	},
	{
		type = "recipe",
		name = "PaA-personal-dockingport-mk3-equipment",
		enabled = false,
		energy_required = 10,
		ingredients =
		{
			{"PaA-personal-roboport-mk3-equipment", 1},
		},
		result = "PaA-personal-dockingport-mk3-equipment"
	},
})

if not PaA.bob.warfare then
	data:extend(
	{
		{
			type = "recipe",
			name = "PaA-night-vision-mk2-equipment",
			enabled = "false",
			energy_required = 10,
			ingredients =
			{
				{"night-vision-equipment", 1},
				{"processing-unit", 1},
			},
			result = "PaA-night-vision-mk2-equipment",
		},
		{
			type = "recipe",
			name = "PaA-fusion-reactor-mk2-equipment",
			enabled = "false",
			energy_required = 10,
			ingredients =
			{
				{"fusion-reactor-equipment", 1},
				{"processing-unit", 5},
				{"effectivity-module-3", 1},
			},
			result = "PaA-fusion-reactor-mk2-equipment",
		},
		{
			type = "recipe",
			name = "PaA-exoskeleton-mk2-equipment",
			enabled = "false",
			energy_required = 10,
			ingredients =
			{
				{"exoskeleton-equipment", 1},
				{"advanced-circuit", 10},
				{"iron-gear-wheel", 30},
				{"speed-module", 1},
				{"steel-plate", 20},
			},
			result = "PaA-exoskeleton-mk2-equipment",
		},
		{
			type = "recipe",
			name = "PaA-energy-shield-mk3-equipment",
			enabled = false,
			energy_required = 10,
			ingredients =
			{
				{"energy-shield-mk2-equipment", 2},
				{"processing-unit", 10}
			},
			result = "PaA-energy-shield-mk3-equipment"
		},
		{
			type = "recipe",
			name = "PaA-battery-mk3-equipment",
			enabled = false,
			energy_required = 10,
			ingredients =
			{
				{"battery-mk2-equipment", 2},
				{"effectivity-module", 1}
			},
			result = "PaA-battery-mk3-equipment"
		},
		{
			type = "recipe",
			name = "PaA-personal-laser-defense-mk2-equipment",
			enabled = false,
			energy_required = 10,
			ingredients =
			{
				{"productivity-module", 1},
				{"personal-laser-defense-equipment", 1},
				{"laser-turret", 5}
			},
			result = "PaA-personal-laser-defense-mk2-equipment"
		},
		{
			type = "recipe",
			name = "PaA-personal-laser-defense-mk3-equipment",
			enabled = false,
			energy_required = 10,
			ingredients =
			{
				{"productivity-module", 1},
				{"PaA-personal-laser-defense-mk2-equipment", 1},
				{"laser-turret", 10}
			},
			result = "PaA-personal-laser-defense-mk3-equipment"
		},
	})
end

--recipes for tools
if settings.startup["PaA-add-tools"].value then
	data:extend(
	{
		{
			type = "recipe",
			name = "PaA-steel-drill",
			enabled = false,
			ingredients =
			{
				{"steel-plate", 5},
				{"electric-engine-unit", 1},
				{"electronic-circuit", 5}
			},
			result = "PaA-steel-drill"
		},
		{
			type = "recipe",
			name = "PaA-nuclear-powered-steel-drill",
			enabled = false,
			ingredients =
			{
				{"PaA-steel-drill", 1},
				{"uranium-fuel-cell", 1},
			},
			result = "PaA-nuclear-powered-steel-drill"
		},
	})
end
--recipes for power
if settings.startup["PaA-add-entities"].value then
	data:extend({
		{
			type = "recipe",
			name = "PaA-supercharged-medium-electric-pole",
			enabled = false,
			ingredients = 
			{
				{"medium-electric-pole", 1},
				{"copper-cable", 10},
				{"red-wire", 10},
				{"green-wire", 10}
			},
			result = "PaA-supercharged-medium-electric-pole"
		},
		{
			type = "recipe",
			name = "PaA-supercharged-substation",
			enabled = false,
			ingredients = 
			{
				{"substation", 1},
				{"copper-cable", 10},
				{"red-wire", 10},
				{"green-wire", 10}
			},
			result = "PaA-supercharged-substation"
		},
		{
			type = "recipe",
			name = "PaA-supercharged-big-electric-pole",
			enabled = false,
			ingredients = 
			{
				{"big-electric-pole", 1},
				{"copper-cable", 10},
				{"red-wire", 10},
				{"green-wire", 10}
			},
			result = "PaA-supercharged-big-electric-pole"
		},
	})
end

--recipes for additional railgun darts
data:extend({
	{
		type = "recipe",
		name = "PaA-heavy-railgun-dart",
		enabled = false,
		ingredients = 
		{
			{"railgun-dart", 1},
			{"steel-plate", 5},
		},
		result = "PaA-heavy-railgun-dart"
	},
	{
		type = "recipe",
		name = "PaA-uranium-railgun-dart",
		enabled = false,
		ingredients = 
		{
			{"PaA-heavy-railgun-dart", 1},
			{"uranium-238", 1},
		},
		result = "PaA-uranium-railgun-dart"
	}
})