require "util"
require "event"

script.on_init(function() On_Init() end)
script.on_configuration_changed(function() On_Change() end)

function On_Init()
	
game.forces["player"].character_build_distance_bonus = 1000
game.forces["player"].character_item_drop_distance_bonus = 1000
game.forces["player"].character_reach_distance_bonus = 1000
game.forces["player"].character_resource_reach_distance_bonus = 1000

end

function On_Change()
	
game.forces["player"].character_build_distance_bonus = 1000
game.forces["player"].character_item_drop_distance_bonus = 1000
game.forces["player"].character_reach_distance_bonus = 1000
game.forces["player"].character_resource_reach_distance_bonus = 1000

end


local function set_join_options(event)

    local player = game.players[event.player_index]

    player.force.character_build_distance_bonus = 1000
    player.force.character_item_drop_distance_bonus = 1000
    player.force.character_reach_distance_bonus = 1000
    player.force.character_resource_reach_distance_bonus = 1000
    player.force.character_item_pickup_distance_bonus = 0
    player.force.character_loot_pickup_distance_bonus = 0
    
end

Event.register(defines.events.on_player_joined_game, set_join_options)








